
#include "resource_oif.h"

#include "substring.h"
#include "multi_type.h"
#include "debug.h"


ResourceOIF::ResourceOIF(const std::string& fileName, const Resources::KeepLevel& keepLevel)
    : Resource(&ResourceOIF::type)
{
  Resources::StorePointer* ptr = this->acquireResource(fileName);

  if (ptr)
  {
    PRINTF(0)("FOUND OIF: %s\n", fileName.c_str());
    //this->acquireData(static_cast<ResourceOIF::OIFResourcePointer*>(ptr)->ptr());
  }
  else
  {
    PRINTF(0)("NOT FOUND OIF: %s\n", fileName.c_str());
//     std::string modelFileName = this->Resource::locateFile(modelName);
//     //std::string skinFileName = this->Resource::locateFile(skinName);
//     this->MD2Model::load(modelFileName, skinName, scale);
//     this->Resource::addResource(new ResourceOIF::OIFResourcePointer(loadString(modelName, skinName, scale), keepLevel, this->MD2Model::dataPointer()));
  }

}

ResourceOIF ResourceOIF::createFromString(const std::string& loadString, const Resources::KeepLevel& keepLevel)
{
  SubString loadValues(loadString, ',');
  std::string fileName;
  if (loadValues.size() > 0)
    fileName = loadValues[0];

  return ResourceOIF(fileName);
}



Resources::tType<ResourceOIF> ResourceOIF::type("OIF");





ResourceOIF::OIFResourcePointer::OIFResourcePointer(const std::string& loadString, const Resources::KeepLevel& keepLevel, const OIFData::Pointer& data)
    : Resources::StorePointer(loadString, keepLevel) , pointer(data)
{}


